Categories:
  - Money
License: GPL-3.0-or-later
SourceCode: https://gitlab.com/uak/mobile-paper-wallet
IssueTracker: https://gitlab.com/uak/mobile-paper-wallet/-/issues
Changelog: https://gitlab.com/uak/mobile-paper-wallet/-/tags

RepoType: git
Repo: https://gitlab.com/uak/mobile-paper-wallet.git

Builds:
  - versionName: 1.3.9
    versionCode: 102110309
    commit: 43cb76af327ae2051029ffccce89da4d0692837f
    subdir: src
    sudo:
      - apt-get update
      - apt-get install -y build-essential libffi-dev libltdl-dev openjdk-11-jdk-headless
        wget
      - update-alternatives --auto java
    output: bin/mobile_paper_wallet-*-arm64-v8a_armeabi-v7a-release-unsigned.apk
    srclibs:
      - cpython@v3.8.13
      - buildozer@1.4.0
    prebuild:
      - export JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64
      - wget --no-verbose -O /tmp/cmdline-tools.zip -t 5 "https://dl.google.com/android/repository/commandlinetools-linux-7583922_latest.zip"
      - echo "124f2d5115eee365df6cf3228ffbca6fc3911d16f8025bebd5b1c6e2fcfa7faf /tmp/cmdline-tools.zip"  |
        sha256sum -c -
      - unzip -qq -o /tmp/cmdline-tools.zip -d /tmp/cmdline-tools
      - rm /tmp/cmdline-tools.zip
      - mkdir -p ${ANDROID_SDK_ROOT}/cmdline-tools/latest
      - mv /tmp/cmdline-tools/cmdline-tools/* ${ANDROID_SDK_ROOT}/cmdline-tools/latest
        || true
      - export PATH=${ANDROID_SDK_ROOT}/cmdline-tools/latest/bin:${PATH}
      - yes | sdkmanager --licenses
      - sdkmanager 'platforms;android-33' 'build-tools;33.0.0'
      - sed -r "s:#?android.sdk_path =.*:android.sdk_path = $$SDK$$:" -i buildozer.spec
      - sed -r "s:#?android.ndk_path =.*:android.ndk_path = $$NDK$$:" -i buildozer.spec
      - sed -r "s:#?android.api =.*:android.api = 33:" -i buildozer.spec
      - sed -r "s:#?android.accept_sdk_license =.*:android.accept_sdk_license = False:"
        -i buildozer.spec
      - sed -i -e 's/# android.release_artifact = aab/android.release_artifact = apk/'
        buildozer.spec
      - sed -r "s:#?android.skip_update =.*:android.skip_update = True:" -i buildozer.spec
    build:
      - pushd $$cpython$$
      - mkdir -p /tmp/cpython
      - ./configure --prefix=/tmp/cpython --enable-optimizations || true
      - make -j`nproc`
      - make install
      - popd
      - export PATH=/tmp/cpython/bin:$PATH
      - pip3 install --user --upgrade $$buildozer$$ Cython
      - sed -r "s/'tools', 'bin'/'cmdline-tools\'\,\'latest', 'bin'/" -i ~/.local/lib/python*/site-packages/buildozer/targets/android.py
      - PATH="$HOME/.local/bin:$PATH" buildozer android release
    ndk: r23b

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.3.9
CurrentVersionCode: 102110309
